Skip to main content
POST
/api/v1/video/retrieve
If the /video/queue response included a download_url, download the finished file from that URL (not as binary from this endpoint). Otherwise, this endpoint returns the video. See Private download links for how the link works, retries, and optional DELETE.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
queue_id
string
required

The ID of the video generation request.

Example:

"123e4567-e89b-12d3-a456-426614174000"

model
string
deprecated

Ignored. The queued video identifies its own model.

Example:

"video-model-123"

delete_media_on_completion
boolean
default:false

If true, the video media will be deleted from storage after the request is completed. If false, you can use the complete endpoint to remove the media once you have successfully downloaded the video. A draft created with draft is kept until its HD upgrade window ends.

Example:

false

Response

Video file if completed, or processing status if still in progress

status
enum<string>
required

The status of the video generation request.

Available options:
PROCESSING,
COMPLETED
Example:

"PROCESSING"

average_execution_time
number
required

The estimated execution time of the video generation request in milliseconds (P80).

Example:

145000

execution_duration
number
required

The current duration of the video generation request in milliseconds.

Example:

53200

is_draft
boolean

Present and true when this request is a draft.

Example:

true

draft_task_id
string

Pass as draft_task_id on a new queue request to upgrade this draft to 1080p or 4k.

Example:

"123e4567-e89b-12d3-a456-426614174000"

draft_expires_at
string

ISO timestamp after which the draft can no longer be upgraded.

Example:

"2026-10-20T08:00:00.000Z"

can_upgrade_to_hd
boolean

Whether the draft can be upgraded to HD right now.

Example:

false